metadata:
  name: image-gui-start
  format: "Apertis Test Definition 1.0"
  image-types:
    target:  [ armhf-internal, armhf, amd64 ]
    basesdk: [ amd64 ]
    sdk:     [ amd64 ]
  image-deployment:
    - APT
    - OSTree
  type: functional
  exec-type: manual
  priority: critical
  description: "Test whether the image starts a graphical environment.
                Basic functionality: ensuring that the GUI boots up."
  maintainer: "Apertis Project"

  pre-conditions:
    - "For SDK image: Remember, we're now requiring VirtualBox 4.2.2 for tests
       using Guest Additions. To update setup, please read:"
    - "~https://wiki.apertis.org/Docs/VirtualBox_Guest_Additions"
    - "Download the virtual machine image for the latest SDK release from:"
    - "~https://images.apertis.org/"
    - "For Target/Development images:"
    - "Download latest target/development image released from:"
    - "~https://images.apertis.org/"
    - "Write image to a SD card as explained at:"
    - "~https://wiki.apertis.org/System_Image_Setup#Target_and_development_images"

  expected:
    - "The image correctly starts the respective graphical interface."
    - "For SDK image: A XFCE environment comes up."
    - "For Target/Development images: Image comes up with the Apertis HMI."

run:
  steps:
    - "Boot image in target device or in the VM for the SDK image."
